# 64bit spec-file
#
Name: ksplash-theme-pclinuxos
Summary: KDE4 ksplash PCLinuxOS 2014 theme
Version: 2.0.0
Release: %mkrel 1
Group: Graphical desktop/KDE4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
URL: http://www.pclinuxos.com
Source: %name-%version.tar.xz
BuildArch: noarch

%description
This package contains the default ksplash theme
for PCLinuxOS 2014.


#-----------------------------------------------------------------------------

%prep
%setup -q

%build

%install
rm -fr %buildroot

#create destination folder
mkdir -p %buildroot/%{_datadir}/apps/ksplash/Themes/pclinuxos

#copy to destination folder
cp -fr * %buildroot%{_datadir}/apps/ksplash/Themes/pclinuxos


mkdir -p %buildroot/etc/skel/.kde4/share/config
cat > %buildroot/etc/skel/.kde4/share/config/ksplashrc << EOF
[KSplash]
Engine=KSplashX
Theme=pclinuxos
EOF


%posttrans
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do

cat > /home/$idx/.kde4/share/config/ksplashrc << EOF
[KSplash]
Engine=KSplashX
Theme=pclinuxos
EOF

chown -R $idx: /home/$idx/.kde4/share/config/ksplashrc
done

%files 
%defattr(-,root,root)
%{_datadir}/apps/ksplash/Themes/pclinuxos
/etc/skel/.kde4/share/config/ksplashrc

%clean
rm -fr %buildroot


%changelog
* Tue Jun 17 2014 bb <bb> 2.0.0-1pclos2014
- create package
